de.caff.generics

## Interface Sizeable

- All Known Subinterfaces:
    BooleanIndexable, ByteIndexable, CharIndexable, Countable<T>, DoubleIndexable, ExpandableDoubleIndexable, ExpandableIndexable<T>, ExpandableIntIndexable, ExpandableLongIndexable, FloatIndexable, Indexable<T>, IntCountable, IntIndexable, LongIndexable, MultiIndexLinearizer.Sequencer, MutableBooleanIndexable, MutableByteIndexable, MutableCharIndexable, MutableDoubleIndexable, MutableFloatIndexable, MutableIndexable<T>, MutableIntIndexable, MutableLongIndexable, MutableShortIndexable, OneDimensionalAccess<T>, OneDimensionalBooleanAccess, OneDimensionalBooleanReadAccess, OneDimensionalByteAccess, OneDimensionalByteReadAccess, OneDimensionalCharAccess, OneDimensionalCharReadAccess, OneDimensionalDoubleAccess, OneDimensionalDoubleReadAccess, OneDimensionalFloatAccess, OneDimensionalFloatReadAccess, OneDimensionalIntAccess, OneDimensionalIntReadAccess, OneDimensionalLongAccess, OneDimensionalLongReadAccess, OneDimensionalReadAccess<T>, OneDimensionalShortAccess, OneDimensionalShortReadAccess, ShortIndexable
  All Known Implementing Classes:
    BasicLoop, BooleanIndexable.Base, BooleanPair, ByteIndexable.Base, BytePair, CharIndexable.Base, CharPair, Countable.Base, DoubleIndexable.Base, DoublePair, FloatIndexable.Base, FloatPair, Indexable.Base, IntCountable.Base, IntIndexable.Base, IntPair, IntPartitions.Partition, LongIndexable.Base, LongPair, Loop, MultiIndexLinearizer.BasicSequencer, MutableBooleanIndexable.Base, MutableByteIndexable.Base, MutableCharIndexable.Base, MutableDoubleIndexable.Base, MutableFloatIndexable.Base, MutableIndexable.Base, MutableIntIndexable.Base, MutableLongIndexable.Base, MutableShortIndexable.Base, OneDimensionalArray, OneDimensionalBooleanArray, OneDimensionalBooleanReadAccess.Base, OneDimensionalByteArray, OneDimensionalByteReadAccess.Base, OneDimensionalCharArray, OneDimensionalCharReadAccess.Base, OneDimensionalDoubleArray, OneDimensionalDoubleReadAccess.Base, OneDimensionalFloatArray, OneDimensionalFloatReadAccess.Base, OneDimensionalIntArray, OneDimensionalIntReadAccess.Base, OneDimensionalLongArray, OneDimensionalLongReadAccess.Base, OneDimensionalReadAccess.Base, OneDimensionalShortArray, OneDimensionalShortReadAccess.Base, SemVer.Prerelease, ShortIndexable.Base, ShortPair
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface Sizeable

  Something which has an integer size.
  Since:
    December 05, 2021
  Author:
    Rammi

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Sizeable` | `NULL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `size()` Get the size.

- - ### Field Detail

    - #### NULL

          static final Sizeable NULL

  - ### Method Detail

    - #### size

          int size()

      Get the size. Size is never negative.
      Returns:
        the size of this object, usually the number of contained elements, must not be negative